Subject: error: ghc-onetuple: unbound variable

From: Csepp <[email-masked]>
Date: Fri, 30 Jun 2023 02:56:51 +0200

I **finally** managed to finish a guix pull on my netbook by offloading
it to my desktop machine, and I tried to build the latest yt-dlp, this
is the error I got:

```
$ guix shell yt-dlp
Backtrace:
In srfi/srfi-1.scm:
   586:17 19 (map1 (#<<manifest-entry> name: "yt-dlp" version: "202…>))
In guix/profiles.scm:
  1932:19 18 (_ _)
In guix/packages.scm:
  1371:17 17 (supported-package? #<package [email-masked] gnu/pa…> …)
In guix/memoization.scm:
    101:0 16 (_ #<hash-table 23e5c90 0/31> #<package [email-masked]…> …)
In guix/packages.scm:
  1349:39 15 (_)
  1611:16 14 (package->bag _ _ _ #:graft? _)
  1715:47 13 (thunk)
In gnu/packages/video.scm:
  2615:11 12 (native-inputs #<package [email-masked] gnu/packages…>)
In guix/packages.scm:
  1371:17 11 (supported-package? #<package [email-masked] gnu/pack…> …)
In guix/memoization.scm:
    101:0 10 (_ #<hash-table 23e5c90 0/31> #<package [email-masked].…> …)
In guix/packages.scm:
  1349:39  9 (_)
  1611:16  8 (package->bag _ _ _ #:graft? _)
  1712:48  7 (thunk)
In gnu/packages/haskell-xyz.scm:
  9121:35  6 (inputs #<package [email-masked] gnu/packages/haskell-…>)
In guix/packages.scm:
  1424:32  5 (package-closure _ #:system _)
  1611:16  4 (package->bag _ _ _ #:graft? _)
  1712:48  3 (thunk)
In gnu/packages/haskell-web.scm:
   943:18  2 (inputs #<package [email-masked] gnu/packages/haskel…>)
In ice-9/boot-9.scm:
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: ghc-onetuple: unbound variable
```

Running guix search ghc-onetuple indeed does not turn anything up.
guix search ghc-aeson results in the same error halfway through
outputting the description for ghc-aeson.

I guess someone didn't run make before they pushed their changes?